cask "openmusic" do
  module Utils
    def self.date 
      "09-10-2022"
    end
  end

  arch arm: "M1", intel: "Intel"
  version "7.2"
  
  sha256 arm:   "968d7c83e817b6f0a52c1137c3bd8245aeaeb3940b9e4fd1ef78e0059e840b2e",
         intel: "4161f80285c70a993c78fa183b0b5d5c559aec3d7b129f5d11cfb23f689c5dc9"

  url "https://github.com/openmusic-project/openmusic/releases/download/v#{version}/OM-#{version}-macOS-#{arch}-#{Utils.date}.dmg",
      verified: "https://github.com/openmusic-project/openmusic"
  name "Open Music"
  desc "The OpenMusic visual programming / computer-aided composition environment"
  homepage "https://openmusic-project.github.io/openmusic/"

  livecheck do
    url :url
    regex(/^v?(\d+(?:\.\d+)+)$/i)
  end
  app "OM #{version}.app"
end
